<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en-US">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.10.0"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>MeLOn: melon::AnnWeights Struct Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<script type="text/javascript" src="clipboard.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtreedata.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<script type="text/javascript" src="cookie.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectlogo"><img alt="Logo" src="MeLOn_only.png"/></td>
  <td id="projectalign">
   <div id="projectname">MeLOn
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.10.0 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
var searchBox = new SearchBox("searchBox", "search/",'.html');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(function() { init_search(); });
});
/* @license-end */
</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function(){initNavTree('structmelon_1_1_ann_weights.html',''); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<div id="MSearchResults">
<div class="SRPage">
<div id="SRIndex">
<div id="SRResults"></div>
<div class="SRStatus" id="Loading">Loading...</div>
<div class="SRStatus" id="Searching">Searching...</div>
<div class="SRStatus" id="NoMatches">No Matches</div>
</div>
</div>
</div>
</div>

<div class="header">
  <div class="summary">
<a href="#pub-attribs">Public Attributes</a> &#124;
<a href="structmelon_1_1_ann_weights-members.html">List of all members</a>  </div>
  <div class="headertitle"><div class="title">melon::AnnWeights Struct Reference</div></div>
</div><!--header-->
<div class="contents">

<p>struct containing the different weights of a feedforward neural network  
 <a href="#details">More...</a></p>

<p><code>#include &lt;<a class="el" href="_ann_properties_8h_source.html">AnnProperties.h</a>&gt;</code></p>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="pub-attribs" name="pub-attribs"></a>
Public Attributes</h2></td></tr>
<tr class="memitem:ae8127c6eb68e821eb3df52150a179539" id="r_ae8127c6eb68e821eb3df52150a179539"><td class="memItemLeft" align="right" valign="top">std::vector&lt; std::vector&lt; double &gt; &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="#ae8127c6eb68e821eb3df52150a179539">biasWeight</a></td></tr>
<tr class="separator:ae8127c6eb68e821eb3df52150a179539"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a97fb1295c33adb2ebff5e5f6f8625fbe" id="r_a97fb1295c33adb2ebff5e5f6f8625fbe"><td class="memItemLeft" align="right" valign="top">std::vector&lt; std::vector&lt; std::vector&lt; double &gt; &gt; &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="#a97fb1295c33adb2ebff5e5f6f8625fbe">inputWeight</a></td></tr>
<tr class="separator:a97fb1295c33adb2ebff5e5f6f8625fbe"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a2ffeb2ea0bfb3934f77480aba2e356bd" id="r_a2ffeb2ea0bfb3934f77480aba2e356bd"><td class="memItemLeft" align="right" valign="top">std::vector&lt; std::vector&lt; std::vector&lt; std::vector&lt; double &gt; &gt; &gt; &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="#a2ffeb2ea0bfb3934f77480aba2e356bd">layerWeight</a></td></tr>
<tr class="separator:a2ffeb2ea0bfb3934f77480aba2e356bd"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock"><p>struct containing the different weights of a feedforward neural network </p>
</div><h2 class="groupheader">Member Data Documentation</h2>
<a id="ae8127c6eb68e821eb3df52150a179539" name="ae8127c6eb68e821eb3df52150a179539"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ae8127c6eb68e821eb3df52150a179539">&#9670;&#160;</a></span>biasWeight</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">std::vector&lt;std::vector&lt;double&gt; &gt; melon::AnnWeights::biasWeight</td>
        </tr>
      </table>
</div><div class="memdoc">
<p>2D-vector containing the biases for all neurons in the network. First dimension: layer; second dimension: neuron within that layer </p>

</div>
</div>
<a id="a97fb1295c33adb2ebff5e5f6f8625fbe" name="a97fb1295c33adb2ebff5e5f6f8625fbe"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a97fb1295c33adb2ebff5e5f6f8625fbe">&#9670;&#160;</a></span>inputWeight</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">std::vector&lt;std::vector&lt;std::vector&lt;double&gt; &gt; &gt; melon::AnnWeights::inputWeight</td>
        </tr>
      </table>
</div><div class="memdoc">
<p>3D-vector containing the weights that are used for the network inputs at neurons they are incident to. First dimension: layer; second dimension: neuron within that layer; third dimension: input variable </p>

</div>
</div>
<a id="a2ffeb2ea0bfb3934f77480aba2e356bd" name="a2ffeb2ea0bfb3934f77480aba2e356bd"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a2ffeb2ea0bfb3934f77480aba2e356bd">&#9670;&#160;</a></span>layerWeight</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">std::vector&lt;std::vector&lt;std::vector&lt;std::vector&lt;double&gt; &gt; &gt; &gt; melon::AnnWeights::layerWeight</td>
        </tr>
      </table>
</div><div class="memdoc">
<p>4D-vector containing the weights for inter layer connections. First dimension: target layer; second dimension: source layer; third dimension: neurons within target layer; fourth dimension: neurons within source layer </p>

</div>
</div>
<hr/>The documentation for this struct was generated from the following file:<ul>
<li>C:/Data/Git/MeLOn/feedforward neural network/model/inc/<a class="el" href="_ann_properties_8h_source.html">AnnProperties.h</a></li>
</ul>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="namespacemelon.html">melon</a></li><li class="navelem"><a class="el" href="structmelon_1_1_ann_weights.html">AnnWeights</a></li>
    <li class="footer">Generated by <a href="https://www.doxygen.org/index.html"><img class="footer" src="doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.10.0 </li>
  </ul>
</div>
</body>
</html>
